Subject: RE: ATM fragmentation/reassembly

From: Petri Bernhard <[email-masked]>
Date: Fri, 22 Oct 1999 11:39:27 +0200

Hi Phil,

If you transfer IP packets over ATM, there will most likely be a layer
in-between which is called "AAL" (ATM Adaptation Layer). The AAL is
specified in Rec. I.363 of ITU-T (
http://www.itu.int/itudoc/itu-t/rec/i/i363.html ). Currently,  four types of
AALs have been defined :
- Type 1 (I.363.1)
- Type 2 (I.363.2)
- Type 3/4 (I.363.3)
- Type 5 (I.363.5).

Each of the AAL-types provides functions for fragmentation and re-assembly
of information into (and out-of) ATM cells, but they provide different
functions in addition to that, depending on whether you're more interested
in support of end-to-end timing, low cell assembly delay, error detection,
etc. For each AAL-type, different types of headers, trailers, etc. are
specified. I assume that in many cases, AAL5 is used for the transfer of IP
traffic. 

In general, for the transfer of variable length packets over ATM, I assume
that RFC 2684 on Multiprotocol Encapsulation over AAL5 (and other RFCs from
the ION WG on ATM) will give you further useful information.

Kind regards

Bernhard

> -----Original Message-----
> From:	Phil Karn [SMTP:[email-masked]]
> Sent:	Friday, October 22, 1999 9:02 AM
> To:	[email-masked]
> Cc:	[email-masked]
> Subject:	ATM fragmentation/reassembly
> 
> Can anyone with a more up to date understanding of ATM briefly
> describe for me the standard method(s) used to fragment and reassemble
> variable length packets (e.g., IP)?
> 
> Back at Bellcore I was actually one of the first people to work on
> this problem, but when I left in 1991 I didn't keep up on ATM
> developments (being rather tired of ATM already...)
> 
> My scheme was to have a two-bit header in every cell to indicate
> whether the cell was the first and/or the last cell of a packet. I
> wonder if that was what was eventually standardized.
> 
> Phil